Skip to main content
GET
Get an organization wallet balance by ID

Authorizations

Authorization
string
header
required

Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.

Path Parameters

id
string
required

The ID of the wallet to retrieve.

Response

Wallet was successfully retrieved.

Describes billing wallet data returned by Leadping.

balance
null | number<double>

Wallet or account balance after this transaction is applied.

balanceCalculatedAt
null | string<date-time>

UTC timestamp when Leadping last calculated the wallet balance.

amountPurchased
null | number<double>

Amount of wallet credit purchased in this deposit.

amountRemaining
null | number<double>

Amount of wallet credit still available for future usage.

currency
null | string

ISO currency code used for the monetary amounts in this billing wallet response.

purchasedAt
null | string<date-time>

UTC timestamp when the wallet credit was purchased.

expiresAt
null | string<date-time>

UTC timestamp when the wallet credit expires.

sourceType
null | enum<string>

Defines the source that created a wallet credit lot.

Available options:
purchase,
promo,
admin_adjustment,
refund_adjustment,
chargeback_reversal,
compromise_restoration
creditStatus
null | enum<string>

Defines the lifecycle state for a wallet credit lot.

Available options:
active,
consumed,
expired,
refunded,
voided,
disputed
organizationId
null | string

Organization ID that owns this wallet balance or credit.

originalTransactionId
null | string

Original wallet transaction ID referenced by a reversal, refund, or adjustment.

nextCreditExpirationAt
null | string<date-time>

UTC timestamp when the next wallet credit amount expires.

nextExpiringCreditAmount
null | number<double>

Amount of wallet credit scheduled to expire next.

expiredCreditAmount
null | number<double>

Amount of wallet credit that has expired.

name
string

Human-readable display name of the resource.

id
string

Stable unique identifier of the resource.

createdAt
string<date-time>

UTC timestamp when the resource was created.

modifiedAt
null | string<date-time>

UTC timestamp when the resource was last modified, or null when it has not been updated.